# FileContentMerger

open class FileContentMerger

Models the generation/parsing/merging capabilities.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseProject or org.gradle.plugins.ide.idea.model.IdeaProject and others.

#### Inheritors

XmlFileContentMerger
PropertiesFileContentMerger

## Constructors

FileContentMerger
Link copied to clipboard
constructor()

## Properties

beforeMerged
Link copied to clipboard
open var beforeMerged: MutableActionSet
whenMerged
Link copied to clipboard
open var whenMerged: MutableActionSet

## Functions

beforeMerged
Link copied to clipboard
open fun beforeMerged(closure: Closure)
Adds a closure to be called after content is loaded from existing file but before gradle build information is merged.
open fun beforeMerged(action: Action<out Any>)
Adds an action to be called after content is loaded from existing file but before gradle build information is merged.
whenMerged
Link copied to clipboard
open fun whenMerged(closure: Closure)
Adds a closure to be called after content is loaded from existing file and after gradle build information is merged.
open fun whenMerged(action: Action<out Any>)
Adds an action to be called after content is loaded from existing file and after gradle build information is merged.